import os

all_regions = [
	'us-east-1',
	'us-east-2',
	'us-west-1',
	'us-west-2',
	"af-south-1",
	'ap-east-1',
	'ap-south-1',
	'ap-southeast-1',
	'ap-southeast-2',
	'ap-northeast-1',
	'ap-northeast-2',
	'ca-central-1',
	'eu-central-1',
	'eu-west-1',
	'eu-west-2',
	'eu-west-3',
	'eu-north-1',
	'me-south-1',
	'sa-east-1'
]

regions = {
	"acm":  all_regions,
	"kms": all_regions,
	"secretsmanager": all_regions,
	"route53": ['us-east-1'],
	"ec2": all_regions,
	"rds": all_regions,
	"es": all_regions,
	"elbv2": all_regions,
	"firehose": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-east-1',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1',
		'sa-east-1'
	],
	"fsx": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-east-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-north-1'
	],	
	"kinesis": all_regions,
	"mq": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-east-1',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1',
		'sa-east-1'
	],
	"ses": [
		'us-east-1',
		'us-west-2',
		'ap-south-1',
		'ap-southeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'sa-east-1'
	],	
	"sns": all_regions,
	"sqs": all_regions,
	"transfer": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'sa-east-1'
	],
	"iam": ['us-east-1'],
	"backup": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-east-1',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1',
		'sa-east-1'
	],
	"cloudtrail": all_regions,
	"config": all_regions,
	"dms": all_regions,
	"documentdb": [
		'us-east-1',
		'us-east-2',
		'us-west-2',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3'
	], 
	"dynamodb": all_regions,
	"ecr": all_regions,
	"efs": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-east-1',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1',
		'sa-east-1'
	],
	"elasticache": all_regions,
	"emr": all_regions,
	"lambda": all_regions,
	"kafka": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-east-1',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1',
		'sa-east-1'
	],
	"neptune": [
		'us-east-1',
		'us-east-2',
		'us-west-2',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1'
	],
	"redshift": all_regions,
	"s3": ['us-east-1'],
	"ssm": all_regions,
	"sagemaker": [
		'us-east-1',
		'us-east-2',
		'us-west-1',
		'us-west-2',
		'ap-east-1',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1',
		'sa-east-1'
	],
	"xray": all_regions,
	"shield": ['us-east-1'],
	"eks": [
		'us-east-1',
		'us-east-2',
		'us-west-2',
		'ap-east-1',
		'ap-south-1',
		'ap-southeast-1',
		'ap-southeast-2',
		'ap-northeast-1',
		'ap-northeast-2',
		'ca-central-1',
		'eu-central-1',
		'eu-west-1',
		'eu-west-2',
		'eu-west-3',
		'eu-north-1',
		'me-south-1',
		'sa-east-1'
	],
	"cloudfront": ['us-east-1'],
	"apigateway": all_regions
}